#include<bits/stdc++.h>
using namespace std;
int main(){
    long long n;
    cin>>n;
    if(n<2){
        cout<<-1;
        return 0;
    }
    if(n%2==0){
        for(long long i=0;i<n/2;i++){
            cout<<1;
        }
        return 0;
    }
    if(n%2==1){
        n=n-3;
        cout<<7;
        for(long long i=0;i<n/2;i++){
            cout<<1;
        }
        return 0;
    }



return 0;
}
